<?php
include_once('config/config2.php');
check();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	  <meta http-equiv='refresh' content='0; URL=http://[...]/account/users/$username'>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Kota/Kabupaten - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        
            <?php include_once('nav.php');?>  
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Data Kota/Kabupaten</h2>
                    <div style="text-align: right;">
						<button onClick="saveKota('new');" class="btn btn-success btn-sm"><span class="fa fa-plus-circle" style="color: white;"></span> Kota/Kabupaten</button>  
					</div>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <table id="datatable-server" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
                      <thead>
                        <tr>
                          <th>Nama Provinsi</th>
                          <th>Nama Kota/Kabupaten</th>
                          <th>Aksi</th>
                        </tr>
                      </thead>
                      
                    </table>
					
					
                  </div>
                </div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo $perusahaan;?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <?php include_once('config/script.inc.js.php');?>
	<script>
		
				var dataTables = $('#datatable-server').DataTable( {
					"processing": true,
					"serverSide": true,
					stateSave: true,
					"ajax":{
						url :"config/load.master.kabupaten.php", // json datasource
						type: "post",  // method  , by default get
						dataType: 'json',
						/*success: function(show){
							alert(show);
						},*/
						error: function(show){  // error handling
							alert(show);
							$(".datatable-server-error").html("");
							$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
							$("#datatable-server_processing").css("display","none");
							
						}
					}
				} );
		  
		function saveKota(mode_kota,id_kota){
			if(mode_kota == 'new'){
				
				$.confirm({
					title: 'Data Kota/Kabupaten',
					//theme: 'supervan',
					content: "url:config/form.master.kabupaten.php?nama_kota=&id_provinsi=",
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var id_provinsi = this.$content.find('#id_provinsi').val();
								var nama_kota = this.$content.find('#nama_kota').val();
								//alert(id_provinsi);
								if((!id_provinsi || !nama_kota)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.kabupaten.php',
										data: 'id_provinsi='+id_provinsi+
												'&nama_kota='+nama_kota+
												'&save_type=simpan_kota'+
												'&mode_kota='+mode_kota,
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data Kota/Kabupaten tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												  dataTables.ajax.reload(null, false);
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
										}
									})
								}
							}
						},
						cancel: function () {
							
						},
					},
					/*onContentReady: function () {
						// bind to events
						var jc = this;
						this.$content.find('form').on('Submit', function (e) {
							// if the user submits the form by pressing enter in the field.
							e.preventDefault();
							jc.$$formSubmit.trigger('click'); // reference the button and click it
						});
					}*/
				});
			}
			else if(mode_kota == 'edit'){
				//alert('company_id');
				$.ajax({
					type : 'post',
					url: 'config/save.master.kabupaten.php',
					data: 'id_kota='+id_kota+
							'&save_type=get_kota',
					dataType: 'json',
					success: function(show){
						//alert(show);
						$.confirm({
							title: 'Data Kota/Kabupaten',
							//theme: 'supervan',
							content: "url:config/form.master.kabupaten.php?nama_kota="+show.nama_kota+"&id_provinsi="+show.id_provinsi,
							buttons: {
								formSubmit: {
									text: 'Simpan',
									btnClass: 'btn-blue',
									action: function () {
										var id_provinsi = this.$content.find('#id_provinsi').val();
										var nama_kota = this.$content.find('#nama_kota').val();

										if((!id_provinsi || !nama_kota)){
											$.alert('Form tidak boleh kosong');
											return false;
										}
										else{
											$.ajax({
												type: 'post',
												url: 'config/save.master.kabupaten.php',
												data: 'nama_kota='+nama_kota+
														'&id_provinsi='+id_provinsi+
														'&id_kota='+id_kota+
														'&save_type=edit_kota'+
														'&mode_kota='+mode_kota,
												dataType: 'json',

												success: function(show){
													//alert(show);
													//resetTimer();
													if(show.status=='ok'){
														//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
														PNotify.removeAll();
														  new PNotify({
															title: 'Berhasil',
															text: 'Data Kota/Kabupaten tersimpan.',
															type: 'success',
															styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
															buttons: {
																show_on_nonblock: false
															}
														});
														 dataTables.ajax.reload(null, false);
													}
													else{
														PNotify.removeAll();
														  new PNotify({
															title: 'Error',
															text: 'Error : error saat menyimpan data',
															type: 'error',
															styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
															buttons: {
																show_on_nonblock: false
															}
														});
														dataTables.ajax.reload(null, false);
													}
												}
											})
										}
									}
								},
								cancel: function () {

								},
							},
							/*onContentReady: function () {
								// bind to events
								var jc = this;
								this.$content.find('form').on('Submit', function (e) {
									// if the user submits the form by pressing enter in the field.
									e.preventDefault();
									jc.$$formSubmit.trigger('click'); // reference the button and click it
								});
							}*/
						});
					}
				})
			}
			else if(mode_kota == 'delete'){
				$.confirm({
				title: 'Hapus Data',
				content: 'Data akan dihapus?<br><b>Data yang dihapus tidak bisa dikembalikan lagi dan mungkin akan menyebabkan data lain error.</b>',
				buttons: {
					Hapus: {
						btnClass: 'btn-danger',
						action: function () {
							$.ajax({
								type: 'post',
								url: 'config/save.master.kabupaten.php',
								data: 'id_kota='+id_kota+
										'&save_type=delete_kota',
								dataType: 'json',

								success: function(show){
									//alert(show);
									//resetTimer();
									PNotify.removeAll();
									new PNotify({
										title: 'Berhasil',
										text: 'Data berhasil dihapus.',
										type: 'success',
										styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
										buttons: {
											show_on_nonblock: false
										}
									});
									dataTables.ajax.reload(null, false);
								}
							});
						}
					},
					Batal: function(){}
				}
			});	
			}
		}
	</script>
  </body>
</html>