<?php
include_once("config2.php");

$periode_start = date('Y-m-d',strtotime($_GET['periode_start']));
$periode_end = date('Y-m-d',strtotime($_GET['periode_end']));
	
?>
<div class="row" style="padding-bottom: 20px;">
	<div class="col-xs-6">
		<table>
			<tr>
				<th>Periode</th>
				<th> : <?php echo(date('d-m-Y',strtotime($periode_start)).' - '.date('d-m-Y',strtotime($periode_end)));?></th>
			</tr>
		</table>
	</div>
	<div class="col-xs-2 col-xs-offset-4">
		<a href="excel/excel.laporan.resi.php?periode_start=<?php echo($periode_start);?>&periode_end=<?php echo($periode_end);?>" class="btn btn-sm btn-success">Download Excel</a>
	</div>
</div>
<h3>Laporan List Resi</h3>
<table id="table_laporan" class="table table-bordered table-striped tablebakuMasuk dt-responsive nowrap" cellspacing="0" width="100%">
	<thead>
		<tr>
			<th>No</th>
			<th>KD_dist</th>
			<th>No_Resi</th>
			<th>Short_bulan</th>
			<th>Pengirim</th>
			<th>Alamat_Pengirim</th>
			<th>CP_Pengirim</th>
			<th>Penerima</th>
			<th>Alamat_Penerima</th>
			<th>CP_Penerima</th>
			<th>Nama_Barang</th>
			<th>Type</th>
			<th>Kode_Produksi</th>
			<th>Unit_Ke</th>
			<th>Total_Unit</th>
			<th>Qty</th>
			<th>Kubikasi_Barang</th>
			<th>Berat</th>
			<th>Ongkos_Kirim</th>
			<th>Terbilang</th>
			<th>Resi_Kembali</th>
		</tr>
	</thead>
	<tbody>
	<?php
		$sqllaporan = $koneksi->query("SELECT barang_resi.`id_pelanggan`,
						barang_resi.`id_barang_resi`,
						barang_resi.`tgl_barang_resi`,
						barang_resi.`nama_pelanggan`,
						barang_resi.`alamat_pelanggan`,
						barang_resi.`nama_pic_pelanggan`,
						barang_resi.`telp_pic_pelanggan`,
						barang_resi.`nama_penerima`,
						barang_resi.`alamat_penerima`,
						barang_resi.`nama_pic_penerima`,
						barang_resi.`telp_pic_penerima`,
						barang_resi.`nama_barang`,
						barang_resi.`tipe_barang`,
						barang_resi.`no_urut_barang_resi`,
						barang_resi.`panjang_barang`,
						barang_resi.`lebar_barang`,
						barang_resi.`tinggi_barang`,
						barang_resi.`berat_barang`,
						barang_resi.`ongkir_barang`,
						barang_wo.`jumlah_barang_wo`
					FROM barang_resi
					LEFT JOIN barang_wo ON barang_resi.`id_barang_wo` = barang_wo.`id_barang_wo`
					WHERE DATE(barang_resi.`tgl_barang_resi`) BETWEEN '$periode_start' AND '$periode_end'
					
		") or die('sql get data list resi '.$koneksi->error);
		$temp_no = 1;
		while($datalaporan = $sqllaporan->fetch_array(MYSQLI_ASSOC)){
	?>
		<tr>
			<td><?php echo($temp_no);?></td>
			<td><?php echo($datalaporan['id_pelanggan']);?></td>
			<td><?php echo($datalaporan['id_barang_resi']);?></td>
			<td><?php echo(date('m-Y',strtotime($datalaporan['tgl_barang_resi'])));?></td>
			<td><?php echo($datalaporan['nama_pelanggan']);?></td>
			<td><?php echo($datalaporan['alamat_pelanggan']);?></td>
			<td><?php echo($datalaporan['nama_pic_pelanggan'].' / '.$datalaporan['telp_pic_pelanggan']);?></td>
			<td><?php echo($datalaporan['nama_penerima']);?></td>
			<td><?php echo($datalaporan['alamat_penerima']);?></td>
			<td><?php echo($datalaporan['nama_pic_penerima'].' / '.$datalaporan['telp_pic_penerima']);?></td>
			<td><?php echo($datalaporan['nama_barang']);?></td>
			<td><?php echo($datalaporan['tipe_barang']);?></td>
			<td></td>
			<td><?php echo($datalaporan['no_urut_barang_resi']);?></td>
			<td><?php echo($datalaporan['jumlah_barang_wo']);?></td>
			<td>1</td>
			<td><?php echo($datalaporan['panjang_barang'].'X'.$datalaporan['lebar_barang'].'X'.$datalaporan['tinggi_barang']);?></td>
			<td><?php echo($datalaporan['berat_barang'].'KG');?></td>
			<td><?php echo(number_format($datalaporan['ongkir_barang'], 0, '', '.'));?></td>
			<td><?php echo(ucfirst(terbilang($datalaporan['ongkir_barang']).' rupiah'));?></td>
			<td></td>
		</tr>
	<?php
			$temp_no++;
		}
	?>
	</tbody>
</table>


<script>
$(document).ready( function () {
    $('#table_laporan').DataTable();
} );
</script>

<?php

//createLog($_SESSION['baku_username'],"Laporan Harian","Cek data laporan harian periode $periode_start s/d $periode_end");
?>