<?php
include_once('config/config2.php');
check();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	  
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Commercial Invoice - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        
            <?php include_once('nav.php');?>  
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Data Commercial Invoice</h2>
                    <div style="text-align: right;">
						<button onClick="addCI();" class="btn btn-success btn-sm"><span class="fa fa-plus-circle" style="color: white;"></span> Commercial Invoice</button> 
						
					</div>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <table id="datatable-server" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
                      <thead>
                        <tr>
                          <th>Nama Pelanggan</th>
                          <th>No. Commercial Invoice</th>
                          <th>No. Work Order</th>
                          <th>Status</th>
                          <th>Tgl. Pembuatan</th>
                          <th>Aksi</th>
                        </tr>
                      </thead>
                      
                    </table>
					
					
                  </div>
                </div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo $perusahaan;?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <?php include_once('config/script.inc.js.php');?>
	<script>
		
		
		var dataTables = $('#datatable-server').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			"ajax":{
				url :"config/load.data.ci.php", // json datasource
				type: "post",  // method  , by default get
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				error: function(jqXHR, exception){  // error handling
					alert('Terjadi kesalahan saat mengambil data.<br>Error code : '+jqXHR.responseText);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			}
		} );
		  
		function addCI(){
			//alert('adsf');
			
			$.confirm({
				title: 'Pilih Proforma Invoice',
				content: "url:config/form.ci.php",
				buttons: {
					Buat: {
						btnClass: 'btn-info',
						action: function () {
							var id_pi = $("#id_pi").val();
							$.ajax({
								type: 'post',
								url: 'config/save.data.ci.php',
								data: 'id_pi='+id_pi+
										'&save_type=simpan_ci',
								dataType: 'json',
								success: function(show){
									//alert(show);
									//resetTimer();
									if(show.status=='ok'){
										location.href='data.ci.detail.php?id_ci='+show.id_ci;
										  
									}

									else{
										PNotify.removeAll();
										  new PNotify({
											title: 'Error',
											text: 'Error : error saat menyimpan data',
											type: 'error',
											styling: 'bootstrap3',
											//addclass: "stack-bottomright",
											nonblock: {
												nonblock: true
											},
											buttons: {
												show_on_nonblock: false
											}
										});
										dataTables.ajax.reload(null, false);
									}
								},
								error: function(jqXHR, exception){
									PNotify.removeAll();
									  new PNotify({
										title: 'Error',
										text: 'Terjadi kesalahan saat menyimpan data.<br>Error code : '+jqXHR.responseText,
										type: 'error',
										styling: 'bootstrap3',
										//addclass: "stack-bottomright",
										nonblock: {
											nonblock: true
										},
										buttons: {
											show_on_nonblock: false
										}
									});
								}
							})
						}
					},
					Batal: function(){}
				}
			});	
			
		}
	</script>
  </body>
</html>