<?php
include_once('config/config2.php');
check();
$id_kwt = $_GET['id_kwt'];
$sql_detail = $koneksi->query("SELECT no_form_kwt,
						nama_pelanggan,
						jml_kwt_total,
						an_kwt,
						tgl_pub_kwt,
						tgl_add_kwt,
						tgl_edit_kwt,
						status_kwt
					FROM kwt WHERE id_kwt = '$id_kwt'") or die($koneksi->error);
$data_detail = $sql_detail->fetch_array(MYSQLI_ASSOC);

?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Detail Kwitansi - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">

            <?php include_once('nav.php');?>
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
				<div class="x_panel">
					<div class="x_content" style="text-align:right;">
						<?php
							if($data_detail['status_kwt']=='0'){ ?>
							<a href="form.kwt.php?mode=edit&id_kwt=<?php echo($id_kwt)?>"	 class="btn btn-sm btn-warning">Edit</a>
						<?php	}
							else if($data_detail['status_kwt']=='1'){ ?>
							<button class="btn btn-sm btn-danger" onClick="batalKWT('<?php echo($id_kwt);?>')">Batalkan</button>	
						<?php	}
						?>
						
						<button onClick="cetak('<?php echo($id_kwt);?>');" class="btn btn-sm btn-info"><i class="fa fa-print"></i></button>
						<a href="data.kwt.php" class="btn btn-sm btn-default">Kembali</a>
					</div>
				</div>
                <div class="x_panel">
                  <div class="x_title">
                    
                    
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <div class="row">
                    	<style>
						/* If the screen size is 601px wide or more, set the font-size of <div> to 80px */
							@media screen and (min-width: 601px) {
								.garis{
									display: none !important;
								}
							}

							/* If the screen size is 600px wide or less, set the font-size of <div> to 30px */
							@media screen and (max-width: 600px) {
							  .count {
								font-size: 18px !important;
							  }
								.icon{
									display: none;
								}
							}
							.tile-stats table, .tile-stats table tr, .tile-stats tr td{
								vertical-align: top;
							}
							.garis{
								display: block;
							}
						</style>
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="tile-stats">
							  <div class="icon"><i class="fa fa-file-word-o"></i>
							  </div>
							  <div class="count">
								  <?php echo $id_kwt;//$data_detail['no_form_kwt'];?>
								  <hr>
								</div>
								<div class="col-md-12 col-xs-12">
									<table class="table">
										  <tr>
											<td style="width: 30%;">Telah diterima dari</td>
											<td style="width: 5%;">&nbsp;:&nbsp;&nbsp;</td>
											<td><?php echo($data_detail['nama_pelanggan'].' (a.n. '.$data_detail['an_kwt'].')');?></td>
										  </tr><tr>
											<td>Uang sebanyak</td>
											<td>&nbsp;:</td>
											<td><?php echo('Rp &nbsp;'.number_format($data_detail['jml_kwt_total'], 0, '', '.').',-');?>
												
											</td>
										  </tr><tr>
											<td>Terbilang</td>
											<td>&nbsp;:</td>
											<td><?php echo(ucfirst(terbilang($data_detail['jml_kwt_total']).' rupiah'));?>
											</td>
										  </tr><tr>
											<td>Guna membayar</td>
											<td>&nbsp;:</td>
											<td>
												<?php
													echo('Tagihan no. :<br><ul>');
													$sql_pi = $koneksi->query("SELECT no_form_pi,id_pi,jml_kwt FROM pi_kwt WHERE id_kwt = '$id_kwt'") or die('sql get list pi '.$koneksi->error);
													$count_pi = $sql_pi->num_rows;
													$counter = 1;
													while($data_pi = $sql_pi->fetch_array(MYSQLI_ASSOC)){
														echo('<li><a href=data.pi.detail.php?id_pi='.$data_pi['id_pi'].' target="_blank">'.$data_pi['no_form_pi'].'&nbsp; Rp '.number_format($data_pi['jml_kwt'], 0, '', '.').',-</a></li>');
													}
													echo('</ul>')
												?>
											</td>
										  </tr>
									  </table>
									<hr class="garis">
								</div>
								
								<div class="col-md-12 col-xs-12 byline" style="text-align: right;">
									<?php
									if($data_detail['status_kwt']=='1'){
										$status = 'Published';
										$tgl_pub_kwt = date('d-M-Y',strtotime($data_detail['tgl_pub_kwt']));
									}
									else if($data_detail['status_kwt']=='0'){
										$status = 'Draft';
										if($data_detail['tgl_edit_kwt']==null or $data_detail['tgl_edit_kwt']==''){
											$tgl_pub_kwt = date('d-M-Y',strtotime($data_detail['tgl_add_kwt']));
										}
										else{
											$tgl_pub_kwt = date('d-M-Y',strtotime($data_detail['tgl_edit_kwt']));
										}
										
									}
									else if($data_detail['status_kwt']=='2'){
										$status = 'Cancelled';
										$tgl_pub_kwt = date('d-M-Y',strtotime($data_detail['tgl_edit_kwt']));
									}
								?>
								<span>Status : <?php echo($status);?> &nbsp;&nbsp; Date : <?php echo($tgl_pub_kwt);?></span>
								</div>
							</div>
							
						  </div>
                    	
                    </div>
                  </div>
                </div>
              </div>
			  
             
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo($perusahaan);?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>
	
    <?php include_once('config/script.inc.js.php');?>
	<script>
		function cetak(id){
			window.open("pdf/mpdf.kwt.php?id="+id, "_blank", "toolbar=no,scrollbars=yes,resizable=yes,location=no,width=720");
		}
		function batalKWT(id_kwt){
			$.confirm({
				title: 'Batalkan Kwitansi',
				content: 'Anda yakin akan membatalkan kwitansi?'+
						'<br>Jika kwitansi dibatalkan maka pembayaran yang sudah diinputkan tidak akan diakui.',
				buttons: {
					batalkan: {
						btnClass: 'btn-danger',
						action: function () {
							$.ajax({
								type: 'post',
								url: 'config/save.form.kwt.php',
								data: 'id_kwt='+id_kwt+
										'&save_type=cancelled_kwt',
								dataType: 'json',

								success: function(show){
									//alert(show);
									//resetTimer();
									$.confirm({
										title: '',
										content: 'Kwitansi telah dibatalkan',
										buttons: {
											
											kembali: function(){
												location.href='data.kwt.detail.php?id_kwt='+id_kwt;
											}
										}
									});
								}
							});
						}
					},
					kembali: function(){}
				}
			});
		}
	</script>
  </body>
</html>
