<?php
include_once('config/config2.php');
check();
$id_pi = $_GET['id_pi'];
$sql_detail = $koneksi->query("SELECT id_pelanggan,
				nama_pelanggan,
				telp_pelanggan,
				alamat_pelanggan,
				email_pelanggan,
				no_form_pi,
				no_wo,
				id_wo,
				kegiatan_pi,
				status_pi,
				tgl_pub_pi,
				tgl_add_pi,
				tgl_edit_pi,
				nama_provinsi,
				nama_kota,
				npwp_pelanggan
			FROM pi WHERE id_pi = '$id_pi'") or die($koneksi->error);
$data_detail = $sql_detail->fetch_array(MYSQLI_ASSOC);

?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Detail Proforma Invoice - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">

            <?php include_once('nav.php');?>
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
				<div class="x_panel">
					<div class="x_content" style="text-align:right;">
						<button class="btn btn-sm btn-info" onClick="loadKWT()"><i class="fa fa-clock-o"></i> Pembayaran</button>
						<button onClick="cetak('<?php echo($id_pi);?>');" class="btn btn-sm btn-info"><i class="fa fa-print"></i></button>
						<a href="data.pi.php" class="btn btn-sm btn-default">Kembali</a>
					</div>
				</div>
                <div class="x_panel">
                  <div class="x_title">
                    
                    
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <div class="row">
                    	<style>
						/* If the screen size is 601px wide or more, set the font-size of <div> to 80px */
							@media screen and (min-width: 601px) {
								.garis{
									display: none !important;
								}
							}

							/* If the screen size is 600px wide or less, set the font-size of <div> to 30px */
							@media screen and (max-width: 600px) {
							  .count {
								font-size: 18px !important;
							  }
								.icon{
									display: none;
								}
							}
							.tile-stats table, .tile-stats table tr, .tile-stats tr td{
								vertical-align: top;
							}
							.garis{
								display: block;
							}
						</style>
						<div class="col-md-12 col-sm-12 col-xs-12">
							<div class="tile-stats">
							  <div class="icon"><i class="fa fa-file-word-o"></i>
							  </div>
							  <div class="count">
								  <?php echo $data_detail['no_form_pi'];?>
									<input type="text" id="id_pi" value="<?php echo($_GET['id_pi']);?>" style="display: none;">
									<input type="text" id="status_pi" value="<?php echo($data_detail['status_pi']);?>" style="display: none;">
									<input type="text" id="id_wo" value="<?php echo($data_detail['id_wo']);?>" style="display: none;">
								  <hr>
								</div>
								<div class="col-md-6 col-xs-12">
									<table class="table">
										  <tr>
											<td style="width: 30%;">Pelanggan</td>
											<td style="width: 5%;">&nbsp;:&nbsp;&nbsp;</td>
											<td><?php echo($data_detail['nama_pelanggan']);?></td>
										  </tr><tr>
											<td>NPWP</td>
											<td>&nbsp;:</td>
											<td><?php echo($data_detail['npwp_pelanggan']);?>
												
											</td>
										  </tr><tr>
											<td>Alamat</td>
											<td>&nbsp;:</td>
											<td><?php echo($data_detail['alamat_pelanggan']);?>
												<br><?php echo($data_detail['nama_kota'].' - '.$data_detail['nama_provinsi']);?>
											</td>
										  </tr><tr>
											<td>Kontak</td>
											<td>&nbsp;:</td>
											<td><i class="fa fa-phone-square"></i>&nbsp;<?php echo($data_detail['telp_pelanggan']);?>
												<br><i class="fa fa-envelope-square"></i>&nbsp;<?php echo($data_detail['email_pelanggan']);?>
											</td>
										  </tr>
									  </table>
									<hr class="garis">
								</div><div class="col-md-6 col-xs-12">
									<table class="table">
										<tr>
											<td style="width: 30%;">No. Work Order</td>
											<td style="width: 5%;">&nbsp;:</td>
											<td><a href="data.wo.detail.php?id_wo=<?php echo($data_detail['id_wo']);?>"><?php echo($data_detail['no_wo']);?></a></td>
										</tr><tr>
											<td>Kegiatan pengiriman</td>
											<td>&nbsp;:&nbsp;&nbsp;</td>
											<td><?php echo($data_detail['kegiatan_pi']);?></td>
										</tr>
									</table>
								</div>
								<div class="col-md-12 col-xs-12 byline" style="text-align: right;">
									<?php
									if($data_detail['status_pi']=='1'){
										$status = 'Published';
										$tgl_pub_pi = date('d-M-Y',strtotime($data_detail['tgl_pub_pi']));
									}
									else{
										$status = 'Draft';
										if($data_detail['tgl_edit_pi']==null or $data_detail['tgl_edit_pi']==''){
											$tgl_pub_pi = date('d-M-Y',strtotime($data_detail['tgl_add_pi']));
										}
										else{
											$tgl_pub_pi = date('d-M-Y',strtotime($data_detail['tgl_edit_pi']));
										}
										
									}
								?>
								<span>Status : <?php echo($status);?> &nbsp;&nbsp; Date : <?php echo($tgl_pub_pi);?></span>
								</div>
							</div>
							
						  </div>
                    	
                    </div>
                  </div>
                </div>
              </div>
			  
              <div class="col-md-12 col-sm-12 col-xs-12">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="x_panel">
						  <div class="x_title">
							<h2>Daftar Barang</h2>
							
							<div class="clearfix"></div>
						  </div>
						  <div class="x_content">
							<table id="datatable-server" class="table table-bordered" cellspacing="0" width="100%">
							 <thead>
								<tr>
								  <th rowspan="2" style="text-align: center; vertical-align: middle;">Nama Barang</th>
								  <th rowspan="2" style="text-align: center; vertical-align: middle;">Tipe</th>
								  <th rowspan="2" style="text-align: center; vertical-align: middle;">Jumlah</th>
								  <th colspan="2" style="text-align: center; vertical-align: middle;">Tujuan</th>
								  <th rowspan="2" style="text-align: center; vertical-align: middle;">LKPP</th>
								  <th rowspan="2" style="text-align: center; vertical-align: middle;">- PPN 10% (DPP)</th>
								  <th rowspan="2" style="text-align: center; vertical-align: middle;">- PPH 1,5% (Nett)</th>
								  <th rowspan="2" style="text-align: center; vertical-align: middle;">Total</th>
								</tr>
								<tr>
								  <th style="text-align: center; vertical-align: middle;">Provinsi</th>
								  <th style="text-align: center; vertical-align: middle;">Kabupaten</th>
								</tr>
							  </thead>
								<?php
									$sql_barang = $koneksi->query("SELECT id_barang_pi,
												jumlah_barang_pi,
												harga_ongkir,
												nama_barang,
												tipe_barang,
												nama_kota,
												nama_provinsi
											FROM barang_pi
											WHERE id_pi = '$id_pi'") or die('sql get data pi '.$koneksi->error);
									$totalx = 0;
									$jumlahbarang = 0;
									while($data_barang = $sql_barang->fetch_array(MYSQLI_ASSOC)){
										$ppn = $data_barang["harga_ongkir"] / 1.1;
										$pph = $ppn - ($ppn * 1.5/100);
										$total = $pph * $data_barang["jumlah_barang_pi"];
										$totalx = $totalx+$total;
										$jumlahbarang = $jumlahbarang + $data_barang['jumlah_barang_pi'];
									}

									$dpp = $totalx * 10/100;
									$vat = $dpp * 10/100;
									$gtotal = ceil($totalx + $vat);
									
									//get total pembayaran
									$sql_pay = $koneksi->query("SELECT SUM(pi_kwt.`jml_kwt`) as total_pay
												FROM pi_kwt
												INNER JOIN kwt ON kwt.`id_kwt` = pi_kwt.`id_kwt`
												WHERE kwt.`status_kwt` = '1' AND pi_kwt.`id_pi` = '$id_pi'") or die('sql get total payment '.$koneksi->error);
									$data_pay = $sql_pay->fetch_array(MYSQLI_ASSOC);
								

								?>
								<tfoot>
									<tr>
										<td colspan="2" style="text-align: right;">Total</td>
										<td style="text-align: center;"><?php echo(number_format($jumlahbarang, 0, '', '.'));?></td>
										<td colspan="5" style="text-align: right;">Total tagihan sebelum tax</td>
										<td style="text-align: right;"><?php echo(number_format($totalx, 0, '', '.'));?></td>
									</tr><tr>
										<td rowspan="3" colspan="6" style="vertical-align: top;">Terbilang :<br>
										<?php
										echo(ucfirst(terbilang($gtotal).' rupiah'));	
										?>
										</td>
										<td colspan="2" style="text-align: right;">DPP</td>
										<td style="text-align: right;"><?php echo(number_format($dpp, 0, '', '.'));?></td>
									</tr><tr>
										<td colspan="2" style="text-align: right;">VAT 10%</td>
										<td style="text-align: right;"><?php echo(number_format($vat, 0, '', '.'));?></td>
									</tr><tr>
										<td colspan="2" style="text-align: right;font-weight: bold;">GRAND TOTAL INVOICE</td>
										<td style="text-align: right;font-weight: bold;"><?php echo(number_format($gtotal, 0, '', '.'));?></td>
									</tr><tr>
										<td colspan="8" style="text-align: right;font-weight: bold;">TOTAL PEMBAYARAN</td>
										<td style="text-align: right;font-weight: bold;"><?php echo(number_format($data_pay['total_pay'], 0, '', '.'));?></td>
									</tr><tr>
										<td colspan="8" style="text-align: right;font-weight: bold;">SISA PIUTANG</td>
										<td style="text-align: right;font-weight: bold;"><?php echo(number_format((int)$gtotal-(int)$data_pay['total_pay'], 0, '', '.'));?></td>
									</tr>
								</tfoot>
							  </table>
						  </div>
						</div>
					</div>
				</div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo($perusahaan);?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>
	
    <?php include_once('config/script.inc.js.php');?>
	<script>
		function cetak(id){
			window.open("pdf/mpdf.pi.php?id="+id, "_blank", "toolbar=no,scrollbars=yes,resizable=yes,location=no,width=720");
		}
		function cetakKWT(id){
			window.open("pdf/mpdf.kwt.php?id="+id, "_blank", "toolbar=no,scrollbars=yes,resizable=yes,location=no,width=720");
		}
		var id_pi = $("#id_pi").val();
		var status_pi = $("#status_pi").val();
		var dataTables = $('#datatable-server').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			"ajax":{
				url :"config/load.barang.pi.detail.php", // json datasource
				type: "post",  // method  , by default get
				"data": {
						"id_pi": id_pi,
						"status_pi": status_pi,
					},
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				
				error: function(jqXHR, exception){  // error handling
					alert('Terjadi kesalahan saat mengambil data.<br>Error code : '+jqXHR.responseText);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			},
			"columnDefs": [
				{ "targets": [5,6,7,8],"className": "dt-right"},
				{ "targets": [2],"className": "dt-center"}
			 ],
		} );
		
		
		//----------------------------------------------------
		
		function loadKWT(){
			var id_pi = $("#id_pi").val();
			$.confirm({
				title: 'Data Pembayaran',
				animation: 'scale',
				type: 'blue',
				content: "url:config/load.list.kwt.php?id_pi="+id_pi,
				buttons: {
					Close: function(){
					
					},
					
				}
			});
			
		}
		
		function loadKWTDetail(id_kwt){
			
			$.confirm({
				title: 'KWITANSI',
				animation: 'scale',
				type: 'blue',
				columnClass: 'col-md-8 col-md-offset-2 col-sm-12 col-xs-12',
				content: "url:config/load.list.kwt.detail.php?id_kwt="+id_kwt,
				buttons: {
					cetak: {
						btnClass: 'btn-info',
						action: function(){
							cetakKWT(id_kwt);
						}
					},
					Close: function(){
					
					},
					
				}
			});
			
		}
		
		
	</script>
  </body>
</html>
