<?php
include_once('config/config2.php');
check();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	  
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Proforma Invoice - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        
            <?php include_once('nav.php');?>  
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Data Proforma Invoice</h2>
                    <div style="text-align: right;">
						<!--<button onClick="addCI();" class="btn btn-success btn-sm"><span class="fa fa-plus-circle" style="color: white;"></span> Proforma Invoice</button> -->
						
					</div>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <table id="datatable-server" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
                      <thead>
                        <tr>
                          <th>Nama Pelanggan</th>
                          <th>No. Proforma Invoice</th>
                          <th>No. Work Order</th>
                          <th>Status</th>
                          <th>Tgl. Pembuatan</th>
                          <th>Aksi</th>
                        </tr>
                      </thead>
                      
                    </table>
					
					
                  </div>
                </div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo $perusahaan;?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <?php include_once('config/script.inc.js.php');?>
	<script>
		
		
		var dataTables = $('#datatable-server').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			"ajax":{
				url :"config/load.data.pi.php", // json datasource
				type: "post",  // method  , by default get
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				error: function(jqXHR, exception){  // error handling
					alert('Terjadi kesalahan saat mengambil data.<br>Error code : '+jqXHR.responseText);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			}
		} );
		  
		function addCI(){
			//alert('adsf');
			
			$.confirm({
				title: 'Pilih Work Order',
				content: "url:config/form.ci.php",
				buttons: {
					Buat: {
						btnClass: 'btn-info',
						action: function () {
							var id_wo = $("#id_wo").val();
							window.location.href = 'form.ci.php?id_wo='+id_wo+'&mode=new&id_ci=';
						}
					},
					Batal: function(){}
				}
			});	
			
		}
	</script>
  </body>
</html>