<?php
include_once('config/config2.php');
check();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	  
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Laporan Resi - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        
            <?php include_once('nav.php');?>  
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Cek Laporan Resi</h2>
                    
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                 	 <div class="row">
						  <div class="col-sm-8 col-md-8 col-xs-12">
							  <div class="form-group">
								  <label class="col-sm-3 col-md-3 col-xs-12">
									Tanggal laporan :
								  </label>
								  <div class="col-sm-3 col-md-3 col-xs-8">
									<input type="text" class="form-control input-sm periode" id="periode_start">
								  </div>
								  <div class="col-sm-3 col-md-3 col-xs-8">
									<input type="text" class="form-control input-sm periode" id="periode_end">
								  </div>
								  <div class="col-sm-3 col-md-3 col-xs-4">
									<button class="btn btn-sm btn-info loading" onClick="checkLaporan();">Check</button>
								  </div>
							  </div>
						  </div>
					  </div>
					  <hr>
					  <div class="row">
						<div class="col-sm-12 col-md-12 col-xs-12" id="detail_laporan">
							
						</div>
					  </div>
                  </div>
                </div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo $perusahaan;?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <?php include_once('config/script.inc.js.php');?>
	<script>
		$(document).ready( function () {
    $('#table_laporan').DataTable();
} );
		$('.periode').datetimepicker({
			format: 'DD-MM-YYYY'
		});
		function checkLaporan(){
			var periode_start = $("#periode_start").val();
			var periode_end = $("#periode_end").val();
			$(".loading").attr('disabled','disabled');
			$(".loading").html("Proses<img id='img-csv' height='15px;' src='images/loading.gif'>");
			$.ajax({
				type: 'get',
				url: 'config/load.laporan.resi.php',
				data: 'periode_start='+periode_start+
						'&periode_end='+periode_end,
				dataType: 'html',
				
				success: function(show){
					//alert(show);
					$(".loading").removeAttr('disabled','disabled');
					$(".loading").html("Check");
					//resetTimer();
					
					$('#detail_laporan').hide().html(show).fadeIn('slow');
					
				},
				error: function(){
					alert('sdf');
				}
			});
		}
	  </script>
  </body>
</html>