<?php
include_once('config/config2.php');
check();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	  
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Biaya Kirim - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        
            <?php include_once('nav.php');?>  
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Data Biaya Kirim</h2>
                    <div style="text-align: right;">
						<button onClick="saveOngkir('new');" class="btn btn-success btn-sm"><span class="fa fa-plus-circle" style="color: white;"></span> Biaya Kirim</button> 
						
					</div>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
						<div class="" role="tabpanel" data-example-id="togglable-tabs">
							  <ul id="myTab" class="nav nav-tabs bar_tabs" role="tablist">
								<li role="presentation" class="active"><a href="#tab_content1" id="home-tab" role="tab" data-toggle="tab" aria-expanded="true">Provinsi</a>
								</li>
								<li role="presentation" class=""><a href="#tab_content2" role="tab" id="profile-tab" data-toggle="tab" aria-expanded="false">Kota/Kabupaten</a>
								</li>
							  </ul>
							  <div id="myTabContent" class="tab-content">
								<div role="tabpanel" class="tab-pane fade active in" id="tab_content1" aria-labelledby="home-tab">
									<table id="datatable-server-provinsi" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
									  <thead>
										<tr>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Nama Barang</th>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Tipe</th>
										  <th colspan="2" style="text-align: center;vertical-align: middle;">Tujuan</th>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Biaya Kirim (Rp)</th>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Aksi</th>
										</tr>
										<tr>
										  <th style="text-align: center;vertical-align: middle;">Provinsi</th>  
										  <th style="text-align: center;vertical-align: middle;">Kota</th>  
										</tr>
									  </thead>

									</table>
								</div>
								<div role="tabpanel" class="tab-pane fade" id="tab_content2" aria-labelledby="profile-tab">
									<table id="datatable-server-kota" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
									  <thead>
										<tr>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Nama Barang</th>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Tipe</th>
										  <th colspan="2" style="text-align: center;vertical-align: middle;">Tujuan</th>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Biaya Kirim</th>
										  <th rowspan="2" style="text-align: center;vertical-align: middle;">Aksi</th>
										</tr>
										<tr>
										  <th style="text-align: center;vertical-align: middle;">Provinsi</th>  
										  <th style="text-align: center;vertical-align: middle;">Kota</th>  
										</tr>
									  </thead>

									</table>
								</div>
							  </div>
							</div>
									
					
					
                  </div>
                </div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo $perusahaan;?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <?php include_once('config/script.inc.js.php');?>
	<script>
		
		function updateWilayah(jenis){
			
			if(jenis == 'kota'){
				var idx = $("#id_provinsi").val();
			}
			
			//unSaved();
			//alert(idx);
			$.ajax({
				type: 'post',
				url: 'config/save.master.ongkir.php',
				data: 'jenis='+jenis+
						'&idx='+idx+
						'&save_type=wilayah_ongkir',
				dataType: 'html',
				
				success: function(show){
					//alert(show);
					$("#id_"+jenis).html(show);
					
				}
			});
		}
		var dataTablesProvinsi = $('#datatable-server-provinsi').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			
			"ajax":{
				url :"config/load.master.ongkir.provinsi.php", // json datasource
				type: "post",  // method  , by default get
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				error: function(show){  // error handling
					alert(show);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			},
			"columnDefs": [
        { "targets": 4,"className": "dt-right"}
      ],
		} );
		var dataTablesKota = $('#datatable-server-kota').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			"ajax":{
				url :"config/load.master.ongkir.kota.php", // json datasource
				type: "post",  // method  , by default get
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				error: function(show){  // error handling
					alert(show);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			},
			"columnDefs": [
				{ "targets": 4,"className": "dt-right"}
			  ],
		} );
		  
		function saveOngkir(mode_ongkir,id_ongkir){
			if(mode_ongkir == 'new'){
				//alert('adf');
				$.confirm({
					title: 'Data Biaya Kirim',
					//theme: 'supervan',
					
					content: "url:config/form.master.ongkir.php?mode="+mode_ongkir+"&id_ongkir=",
					
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var id_provinsi = this.$content.find('#id_provinsi').val();
								var id_kota = this.$content.find('#id_kota').val();
								var id_barang = this.$content.find('#id_barang').val();
								var harga_ongkir = this.$content.find('#harga_ongkir').val();
								//alert(id_barang);
								if((!id_provinsi || !id_barang || !harga_ongkir)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.ongkir.php',
										data: 'id_provinsi='+id_provinsi+
												'&id_ongkir='+id_ongkir+
												'&id_kota='+id_kota+
												'&id_barang='+id_barang+
												'&harga_ongkir='+harga_ongkir+
												'&save_type=simpan_ongkir'+
												'&mode_ongkir='+mode_ongkir,
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data biaya kirim tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTablesProvinsi.ajax.reload(null, false);
												dataTablesKota.ajax.reload(null, false);
											}
											else if(show.status == 'duplicate'){
												$.alert("Data sudah ada.");
												dataTablesProvinsi.ajax.reload(null, false);
												dataTablesKota.ajax.reload(null, false);
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTablesProvinsi.ajax.reload(null, false);
												dataTablesKota.ajax.reload(null, false);
											}
										}
									})
								}
							}
						},
						cancel: function () {
							
						},
					},
					/*onContentReady: function () {
						// bind to events
						var jc = this;
						this.$content.find('form').on('Submit', function (e) {
							// if the user submits the form by pressing enter in the field.
							e.preventDefault();
							jc.$$formSubmit.trigger('click'); // reference the button and click it
						});
					}*/
				});
			}
			else if(mode_ongkir == 'edit'){
				//alert('company_id');
				$.confirm({
					title: 'Data Pelanggan',
					//theme: 'supervan',
					content: "url:config/form.master.ongkir.php?id_ongkir="+id_ongkir+"&mode="+mode_ongkir,
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var id_provinsi = this.$content.find('#id_provinsi').val();
								var id_kota = this.$content.find('#id_kota').val();
								var id_barang = this.$content.find('#id_barang').val();
								var harga_ongkir = this.$content.find('#harga_ongkir').val();
								//alert(npwp_ongkir);
								if((!id_provinsi || !id_barang || !harga_ongkir)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.ongkir.php',
										data: 'id_provinsi='+id_provinsi+
												'&id_ongkir='+id_ongkir+
												'&id_kota='+id_kota+
												'&id_barang='+id_barang+
												'&harga_ongkir='+harga_ongkir+
												'&save_type=edit_ongkir'+
												'&mode_ongkir='+mode_ongkir,
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data biaya kirim tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												 dataTablesProvinsi.ajax.reload(null, false);
												dataTablesKota.ajax.reload(null, false);
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTablesProvinsi.ajax.reload(null, false);
												dataTablesKota.ajax.reload(null, false);
											}
										}
									})
								}
							}
						},
						cancel: function () {

						},
					},
					/*onContentReady: function () {
						// bind to events
						var jc = this;
						this.$content.find('form').on('Submit', function (e) {
							// if the user submits the form by pressing enter in the field.
							e.preventDefault();
							jc.$$formSubmit.trigger('click'); // reference the button and click it
						});
					}*/
				});
					
				
			}
			else if(mode_ongkir == 'delete'){
				$.confirm({
				title: 'Hapus Data',
				content: '<b>'+
						'<ol>'+
						'<li>Data yang dihapus tidak bisa dikembalikan lagi dan mungkin akan menyebabkan data lain error.</li>'+
						'</ol></b>',
				buttons: {
					Hapus: {
						btnClass: 'btn-danger',
						action: function () {
							$.ajax({
								type: 'post',
								url: 'config/save.master.ongkir.php',
								data: 'id_ongkir='+id_ongkir+
										'&save_type=delete_ongkir',
								dataType: 'json',

								success: function(show){
									//alert(show);
									//resetTimer();
									PNotify.removeAll();
									new PNotify({
										title: 'Berhasil',
										text: 'Data berhasil dihapus.',
										type: 'success',
										styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
										buttons: {
											show_on_nonblock: false
										}
									});
									dataTablesProvinsi.ajax.reload(null, false);
									 dataTablesKota.ajax.reload(null, false);
								}
							});
						}
					},
					Batal: function(){}
				}
			});	
			}
		}
	</script>
  </body>
</html>