<?php
include_once('config/config2.php');
check();
$id_pelanggan = $_GET['id_pelanggan'];
$sql_detail = $koneksi->query("SELECT pelanggan.`id_pelanggan`,
					pelanggan.`nama_pelanggan`,
					pelanggan.`alamat_pelanggan`,
					pelanggan.`telp_pelanggan`,
					pelanggan.`email_pelanggan`,
					pelanggan.`npwp_pelanggan`,
					kota.`nama_kota`,
					provinsi.`nama_provinsi`
				FROM pelanggan
				LEFT JOIN provinsi ON pelanggan.`id_provinsi` = provinsi.`id_provinsi`
				LEFT JOIN kota ON pelanggan.`id_kota` = kota.`id_kota`
				WHERE pelanggan.`id_pelanggan` = '$id_pelanggan'") or die($koneksi->error);
$data_detail = $sql_detail->fetch_array(MYSQLI_ASSOC);

?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Detail Pelanggan - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">

            <?php include_once('nav.php');?>
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="x_panel">
									<div class="x_content" style="text-align:right;">
										<button onClick="savePIC('new');" class="btn btn-success btn-sm"><span class="fa fa-plus-circle" style="color: white;"></span> PIC</button> 
										<a href="master.pelanggan.php" class="btn btn-sm btn-info">Kembali</a>
									</div>
								</div>
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Informasi Pelanggan</h2>
                    
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <div class="row">
                    	<div class="col-md-6 col-sm-6 col-xs-12">
                    		<table class="table table-striped table-hover">
								<tr>
									<th>ID. Pelanggan</th>
									<th>:</th>
									<td><?php echo($data_detail['id_pelanggan']);?>
										<input type="text" id="id_pelanggan" value="<?php echo($data_detail['id_pelanggan']);?>" disabled style="display: none;">
									</td>
								</tr>
								<tr>
									<th>Nama Pelanggan</th>
									<th>:</th>
									<td><?php echo($data_detail['nama_pelanggan']);?></td>
								</tr>
								<tr>
									<th>Telp.</th>
									<th>:</th>
									<td><?php echo($data_detail['telp_pelanggan']);?></td>
								</tr><tr>
									<th>NPWP</th>
									<th>:</th>
									<td><?php echo($data_detail['npwp_pelanggan']);?></td>
								</tr>
							</table>
                    	</div>
                    	<div class="col-md-6 col-sm-6 col-xs-12">
                    		<table class="table table-striped table-hover">
								<tr>
									<th>Email</th>
									<th>:</th>
									<td><?php echo($data_detail['email_pelanggan']);?></td>
								</tr>
								<tr>
									<th>Provinsi</th>
									<th>:</th>
									<td><?php echo($data_detail['nama_provinsi']);?></td>
								</tr>
								<tr>
									<th>Kota</th>
									<th>:</th>
									<td><?php echo($data_detail['nama_kota']);?></td>
								</tr><tr>
									<th>Alamat</th>
									<th>:</th>
									<td><?php echo($data_detail['alamat_pelanggan']);?></td>
								</tr>
							</table>
                    	</div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-12 col-sm-12 col-xs-12">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="x_panel">
						  <div class="x_title">
							<h2>Daftar PIC</h2>
							
							<div class="clearfix"></div>
						  </div>
						  <div class="x_content">
							<table id="datatable-server" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
							  <thead>
								<tr>
								  <th>Nama PIC</th>
								  <th>No. HP</th>
								  <th>Email</th>
								  <th>Status</th>
								  <th>Aksi</th>
								</tr>
							  </thead>

							</table>
						  </div>
						</div>
					</div>
				</div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            CV. BARTEC UTAMA MANDIRI
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>
	
    <?php include_once('config/script.inc.js.php');?>
	<script>
		
		var id_pelanggan = $("#id_pelanggan").val();
		function changeStatusPIC(status, id_pic_pelanggan){
			var id_pelanggan = $("#id_pelanggan").val();
			$.ajax({
				type: 'post',
				url: 'config/save.master.pelanggan.php',
				data: 'id_pelanggan='+id_pelanggan+
						'&id_pic_pelanggan='+id_pic_pelanggan+
						'&status='+status+
						'&save_type=change_pic',
				dataType: 'json',
				success: function(show){
					if(show.status == 'ok'){
					PNotify.removeAll();
						  new PNotify({
							title: 'Berhasil',
							text: 'Data PIC tersimpan.',
							type: 'success',
							styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
							buttons: {
								show_on_nonblock: false
							}
						});
						  dataTables.ajax.reload(null, false);
					}
					else{
						PNotify.removeAll();
						  new PNotify({
							title: 'Error',
							text: 'Error : error saat menyimpan data',
							type: 'error',
							styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
							buttons: {
								show_on_nonblock: false
							}
						});
						dataTables.ajax.reload(null, false);
					}
				}
					
			})
		}
		var dataTables = $('#datatable-server').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			"ajax":{
				url :"config/load.master.pic.php", // json datasource
				"data": {
						"id_pelanggan": id_pelanggan,
					},
				type: "post",  // method  , by default get
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				error: function(show){  // error handling
					alert(show);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			}
		} );
		
		function savePIC(mode_pic_pelanggan,id_pic_pelanggan){
			var id_pelanggan = $("#id_pelanggan").val();
			if(mode_pic_pelanggan == 'new'){
				//alert('adf');
				$.confirm({
					title: 'Data PIC',
					//theme: 'supervan',
					
					content: "url:config/form.master.pic.php?mode="+mode_pic_pelanggan+"&id_pelanggan=",
					
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var nama_pic_pelanggan = this.$content.find('#nama_pic_pelanggan').val();
								var telp_pic_pelanggan = this.$content.find('#telp_pic_pelanggan').val();
								var email_pic_pelanggan = this.$content.find('#email_pic_pelanggan').val();
								//alert(npwp_pelanggan);
								if((!nama_pic_pelanggan || !telp_pic_pelanggan)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.pelanggan.php',
										data: 
												'id_pelanggan='+id_pelanggan+
												'&nama_pic_pelanggan='+nama_pic_pelanggan+
												'&telp_pic_pelanggan='+telp_pic_pelanggan+
												'&email_pic_pelanggan='+email_pic_pelanggan+
												'&save_type=simpan_pic'+
												'&mode_pic_pelanggan='+mode_pic_pelanggan,
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data PIC tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												  dataTables.ajax.reload(null, false);
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
										}
									})
								}
							}
						},
						cancel: function () {
							
						},
					},
					/*onContentReady: function () {
						// bind to events
						var jc = this;
						this.$content.find('form').on('Submit', function (e) {
							// if the user submits the form by pressing enter in the field.
							e.preventDefault();
							jc.$$formSubmit.trigger('click'); // reference the button and click it
						});
					}*/
				});
			}
			else if(mode_pic_pelanggan == 'edit'){
				//alert('company_id');
				$.confirm({
					title: 'Data PIC',
					//theme: 'supervan',
					content: "url:config/form.master.pic.php?id_pic_pelanggan="+id_pic_pelanggan+"&mode="+mode_pic_pelanggan,
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var nama_pic_pelanggan = this.$content.find('#nama_pic_pelanggan').val();
								var telp_pic_pelanggan = this.$content.find('#telp_pic_pelanggan').val();
								var email_pic_pelanggan = this.$content.find('#email_pic_pelanggan').val();
								//alert(npwp_pelanggan);
								if((!nama_pic_pelanggan || !telp_pic_pelanggan)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.pelanggan.php',
										data: 'id_pelanggan='+id_pelanggan+
												'&id_pic_pelanggan='+id_pic_pelanggan+
												'&nama_pic_pelanggan='+nama_pic_pelanggan+
												'&telp_pic_pelanggan='+telp_pic_pelanggan+
												'&email_pic_pelanggan='+email_pic_pelanggan+
												'&save_type=edit_pic'+
												'&mode_pic_pelanggan='+mode_pic_pelanggan,
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data PIC tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												 dataTables.ajax.reload(null, false);
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
										}
									})
								}
							}
						},
						cancel: function () {

						},
					},
					/*onContentReady: function () {
						// bind to events
						var jc = this;
						this.$content.find('form').on('Submit', function (e) {
							// if the user submits the form by pressing enter in the field.
							e.preventDefault();
							jc.$$formSubmit.trigger('click'); // reference the button and click it
						});
					}*/
				});
					
				
			}
			else if(mode_pic_pelanggan == 'delete'){
				$.confirm({
				title: 'Hapus Data',
				content: '<b>'+
						'<ol>'+
						'<li>Data yang dihapus tidak bisa dikembalikan lagi dan mungkin akan menyebabkan data lain error.</li>'+
						'</ol></b>',
				buttons: {
					Hapus: {
						btnClass: 'btn-danger',
						action: function () {
							$.ajax({
								type: 'post',
								url: 'config/save.master.pelanggan.php',
								data: 'id_pic_pelanggan='+id_pic_pelanggan+
										'&id_pelanggan='+id_pelanggan+
										'&save_type=delete_pic',
								dataType: 'json',

								success: function(show){
									//alert(show);
									//resetTimer();
									PNotify.removeAll();
									new PNotify({
										title: 'Berhasil',
										text: 'Data berhasil dihapus.',
										type: 'success',
										styling: 'bootstrap3',
							////addclass: "stack-bottomright",
							nonblock: {
								nonblock: true
							},
										buttons: {
											show_on_nonblock: false
										}
									});
									dataTables.ajax.reload(null, false);
								}
							});
						}
					},
					Batal: function(){}
				}
			});	
			}
		}
	</script>
  </body>
</html>
