<?php
include_once('config/config2.php');
check();

?>
<!DOCTYPE html>
<html lang="en">
  <head>
	  
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Pelanggan - <?php echo($title_page);?></title>

	<?php include_once('config/script.inc.css.php');?>
  </head>

  <body class="nav-md">
    <div class="container body">
      <div class="main_container">
        
            <?php include_once('nav.php');?>  
            <!-- page content -->
        <div class="right_col" role="main">
          <div class="row">
          	<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Data Pelanggan</h2>
                    <div style="text-align: right;">
						<button onClick="savePelanggan('new');" class="btn btn-success btn-sm"><span class="fa fa-plus-circle" style="color: white;"></span> Pelanggan</button> 
						
					</div>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
                    <table id="datatable-server" class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
                      <thead>
                        <tr>
                          <th>Nama Pelanggan</th>
                          <th>Telp.</th>
                          <th>Kota</th>
                          <th>Aksi</th>
                        </tr>
                      </thead>
                      
                    </table>
					
					
                  </div>
                </div>
              </div>
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            <?php echo $perusahaan;?>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <?php include_once('config/script.inc.js.php');?>
	<script>
		
		function updateWilayah(jenis){
			
			if(jenis == 'kota'){
				var idx = $("#id_provinsi").val();
			}
			
			//unSaved();
			//alert(idx);
			$.ajax({
				type: 'post',
				url: 'config/save.master.pelanggan.php',
				data: 'jenis='+jenis+
						'&idx='+idx+
						'&save_type=wilayah_pelanggan',
				dataType: 'html',
				
				success: function(show){
					//alert(show);
					$("#id_"+jenis).html(show);
					
				}
			});
		}
		var dataTables = $('#datatable-server').DataTable( {
			"processing": true,
			"serverSide": true,
			stateSave: true,
			"ajax":{
				url :"config/load.master.pelanggan.php", // json datasource
				type: "post",  // method  , by default get
				dataType: 'json',
				/*success: function(show){
					alert(show);
				},*/
				error: function(show){  // error handling
					alert(show);
					$(".datatable-server-error").html("");
					$("#datatable-server").append('<tbody class="datatable-server-error"><tr><th colspan="5">No data found in the server</th></tr></tbody>');
					$("#datatable-server_processing").css("display","none");

				}
			}
		} );
		  
		function savePelanggan(mode_pelanggan,id_pelanggan){
			if(mode_pelanggan == 'new'){
				//alert('adf');
				$.confirm({
					title: 'Data Pelanggan',
					//theme: 'supervan',
					
					content: "url:config/form.master.pelanggan.php?mode="+mode_pelanggan+"&id_pelanggan=",
					
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var id_provinsi = this.$content.find('#id_provinsi').val();
								var id_kota = this.$content.find('#id_kota').val();
								var nama_pelanggan = this.$content.find('#nama_pelanggan').val();
								var npwp_pelanggan = this.$content.find('#npwp_pelanggan').val();
								var telp_pelanggan = this.$content.find('#telp_pelanggan').val();
								var email_pelanggan = this.$content.find('#email_pelanggan').val();
								var alamat_pelanggan = this.$content.find('#alamat_pelanggan').val();
								//alert(npwp_pelanggan);
								if((!nama_pelanggan || !telp_pelanggan || !alamat_pelanggan)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.pelanggan.php',
										data: 'id_provinsi='+id_provinsi+
												'&id_kota='+id_kota+
												'&nama_pelanggan='+nama_pelanggan+
												'&npwp_pelanggan='+npwp_pelanggan+
												'&telp_pelanggan='+telp_pelanggan+
												'&email_pelanggan='+email_pelanggan+
												'&alamat_pelanggan='+alamat_pelanggan+
												'&save_type=simpan_pelanggan'+
												'&mode_pelanggan='+mode_pelanggan,
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data Pelanggan tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												  dataTables.ajax.reload(null, false);
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
										},
										error: function(jqXHR, exception){  // error handling
												alert('Terjadi kesalahan saat menyimpan data.<br>Error code : '+jqXHR.responseText);

											}
									})
								}
							}
						},
						cancel: function () {
							
						},
					},
					/*onContentReady: function () {
						// bind to events
						var jc = this;
						this.$content.find('form').on('Submit', function (e) {
							// if the user submits the form by pressing enter in the field.
							e.preventDefault();
							jc.$$formSubmit.trigger('click'); // reference the button and click it
						});
					}*/
				});
			}
			else if(mode_pelanggan == 'edit'){
				//alert('company_id');
				$.confirm({
					title: 'Data Pelanggan',
					//theme: 'supervan',
					content: "url:config/form.master.pelanggan.php?id_pelanggan="+id_pelanggan+"&mode="+mode_pelanggan,
					buttons: {
						formSubmit: {
							text: 'Simpan',
							btnClass: 'btn-blue',
							action: function () {
								var id_provinsi = this.$content.find('#id_provinsi').val();
								var id_kota = this.$content.find('#id_kota').val();
								var nama_pelanggan = this.$content.find('#nama_pelanggan').val();
								var npwp_pelanggan = this.$content.find('#npwp_pelanggan').val();
								var telp_pelanggan = this.$content.find('#telp_pelanggan').val();
								var email_pelanggan = this.$content.find('#email_pelanggan').val();
								var alamat_pelanggan = this.$content.find('#alamat_pelanggan').val();
								//alert(npwp_pelanggan);
								if((!nama_pelanggan || !telp_pelanggan || !alamat_pelanggan)){
									$.alert('Form tidak boleh kosong');
									return false;
								}
								else{
									$.ajax({
										type: 'post',
										url: 'config/save.master.pelanggan.php',
										data: 'id_provinsi='+id_provinsi+
												'&id_kota='+id_kota+
												'&id_pelanggan='+id_pelanggan+
												'&nama_pelanggan='+nama_pelanggan+
												'&npwp_pelanggan='+npwp_pelanggan+
												'&telp_pelanggan='+telp_pelanggan+
												'&email_pelanggan='+email_pelanggan+
												'&alamat_pelanggan='+alamat_pelanggan+
												'&save_type=edit_pelanggan'+
												'&mode_pelanggan='+mode_pelanggan,
										dataType: 'json',

										success: function(show){
											//alert(show);
											//resetTimer();
											if(show.status=='ok'){
												//$.alert('Superadmin tidak ditemukan atau tidak memiliki akses SuperAdmin');
												PNotify.removeAll();
												  new PNotify({
													title: 'Berhasil',
													text: 'Data Pelanggan tersimpan.',
													type: 'success',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												 dataTables.ajax.reload(null, false);
											}
											else{
												PNotify.removeAll();
												  new PNotify({
													title: 'Error',
													text: 'Error : error saat menyimpan data',
													type: 'error',
													styling: 'bootstrap3',
													////addclass: "stack-bottomright",
													nonblock: {
														nonblock: true
													},
													buttons: {
														show_on_nonblock: false
													}
												});
												dataTables.ajax.reload(null, false);
											}
										},
										error: function(jqXHR, exception){  // error handling
												alert('Terjadi kesalahan saat menyimpan data.<br>Error code : '+jqXHR.responseText);

										}
									})
								}
							}
						},
						cancel: function () {

						},
					},
					/*onContentReady: function () {
						// bind to events
						var jc = this;
						this.$content.find('form').on('Submit', function (e) {
							// if the user submits the form by pressing enter in the field.
							e.preventDefault();
							jc.$$formSubmit.trigger('click'); // reference the button and click it
						});
					}*/
				});
					
				
			}
			else if(mode_pelanggan == 'delete'){
				$.confirm({
				title: 'Hapus Data',
				content: '<b>'+
						'<ol>'+
						'<li>Data yang dihapus tidak bisa dikembalikan lagi dan mungkin akan menyebabkan data lain error.</li>'+
						'<li>Semua data PIC yang terkait akan terhapus semua.</li>'+
						'</ol></b>',
				buttons: {
					Hapus: {
						btnClass: 'btn-danger',
						action: function () {
							$.ajax({
								type: 'post',
								url: 'config/save.master.pelanggan.php',
								data: 'id_pelanggan='+id_pelanggan+
										'&save_type=delete_pelanggan',
								dataType: 'json',

								success: function(show){
									//alert(show);
									//resetTimer();
									PNotify.removeAll();
									new PNotify({
										title: 'Berhasil',
										text: 'Data berhasil dihapus.',
										type: 'success',
										styling: 'bootstrap3',
										////addclass: "stack-bottomright",
										nonblock: {
											nonblock: true
										},
										buttons: {
											show_on_nonblock: false
										}
									});
									dataTables.ajax.reload(null, false);
								},
								error: function(jqXHR, exception){  // error handling
										alert('Terjadi kesalahan saat menyimpan data.<br>Error code : '+jqXHR.responseText);

								}
							});
						}
					},
					Batal: function(){}
				}
			});	
			}
		}
	</script>
  </body>
</html>